Bug 520967 - Review: Part I. Package Management - various minor fixes (redhatprovides, importing keys, dead URLs)
Summary: Review: Part I. Package Management - various minor fixes (redhatprovides, imp...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: deployment-guide
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Douglas Silas
QA Contact: Nobody's working on this, feel free to take it
URL:
Whiteboard:
Depends On:
Blocks: 520925 527743
TreeView+ depends on / blocked
 
Reported: 2009-09-02 23:45 UTC by Douglas Silas
Modified: 2010-09-02 14:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-02 14:26:46 UTC


Attachments (Terms of Use)

Description Douglas Silas 2009-09-02 23:45:49 UTC
> The user visible parts of rpm actually aren't that different
> in current rpm versions, most of the changes are under the hood. I
> skimmed through the chapter 10 and there's very little that needs updating:

> New things in F12:
> - 10.2.7 Verifying: assuming RPM will be built with POSIX file
> capability support, the verify output can contain 'P' to indicate
> capabilities differing from what was expected.
>
> Other minor corrections, applicaple to RHEL 5 as well:
> - 10.2.2.3 Unresolved dependency: the part about rpmdb-redhat package
> and --redhatprovides switch wont work in F12. But actually this is
> true of RHEL 5 already, the rpmdb-redhat package doesn't exist there
> either. The only difference for F12 is that the underlying ugly
> mechanism is gone from rpm itself too.
> - 10.3.1 Importing keys: using 'rpm -qa gpg-pubkey*' is not an error but
> this'll give the same result much faster: 'rpm -q gpg-pubkey'.
> - 10.5.2 Useful websites: rpm-list@redhat.com doesn't exist anymore,
> this has moved to upstream: rpm-list@rpm.org, list info page being here:
> https://lists.rpm.org/mailman/listinfo/rpm-list. This isn't related
> to F12 and could/should be updated for current versions too.

Comment 1 Douglas Silas 2009-09-17 00:28:48 UTC
Also explain:

rpm -q --whatprovides "bar.so.3()(64bit)"

...which is currently in the text.


Note You need to log in before you can comment on or make changes to this bug.